Welcome to Security Center

Security Center is network security software that helps to detect and prevent threats and vulnerabilities from your network. Security Center helps protect you from malicious network activities, which may cause a severe damage to your network security, performance, identity theft, and the loss of private information.

Security Center takes a new approach to fighting and preventing network threats and vulnerabilities by using proven network monitoring and detection techniques.

Real-time Monitor. Security Center monitors your network threats and vulnerabilities constantly, keeping you aware of any changes in your network status.

Real-time Views. Security Center displays graphical views of your current network and performance including nodes security and traffic details for easy management.

Real-time Protection. Security Center can protect your network by blocking potential intruders from accessing your network in order to keep it online and secured.

Real-time Alerts. Security Center sends online alerts about changes in your network condition, keeping you aware to your network status and protection states.


Using Security Center

It's important to use the appropriate settings for Security Center to fully support your network configuration. From the main menu select the Options submenu and click over the Settings option. The settings option is divided to several categories that have to be set properly to support your network configuration.

Local settings. By default Security Center installs one server and one viewer on the platform that runs the installation. If you would like to add several viewers for other users you can run the installation using the viewer option only. After installing the viewer you have to add a new server to the viewer by setting the installation directory of the server and make it as the default server using the servers options of the local settings screen.

Networks settings. By default Security Center monitors all the network cards that found on the server that runs the software. If specific network card is not needs to be monitored you can uncheck the box near adapter name on the adapters options section to disable security monitoring and protection over the selected network card.

Save settings. After selecting the appropriate settings of each category make sure to click the Save button at the bottom right side of the screen in order to start using them.

More Information
Options
Local Settings
Network Settings


About Security Center

Congratulations for choosing Security Center to help protect your network from unwanted and hazardous threats and vulnerabilities. Security Center is powerful security software that detects and blocks potential intruders from your network. Security Center helps to protect you from malicious network activities, which may cause a severe damage to your network security and performance, or in the worst case, the loss of private information and identity theft.

More Information
System Requirements
Copyright and License


System Requirements

To use Security Center, your computer must have one of the following Windows operating systems:

Windows Vista Ultimate/Home/Business Edition
Windows XP Professional/Home Edition
Windows 2003 Server

Your computer must also meet the following minimum requirements.

Operating system Requirements:

  • Intel Pentium processor (or compatible) at 800 MHz or higher
  • 256MB of RAM
  • 20 MB of available hard disk space
  • Internet Explorer 6.0 or later

    • General Requirements:
    When installing the software please make sure you have administrator privileges.


Copyright and License

All copyrights to Security Center are exclusively owned by the author of this software. Anyone may use this software for evaluation purpose. Evaluation version only allows you to use as testing, if you wish to remove the limitation, you MUST register. Once registered, the user is granted a non-exclusive license to use Security Center on one computer (i.e. a single CPU) at a time, for any legal purpose. The registered Security Center software may not be rented or leased, but may be permanently transferred, if the person received it and agreed to the terms of this license. If the software is an update, the transfer must include the update and all previous versions. The Security Center unregistered shareware version may be freely distributed provided the whole or any part of the distribution package is not modified or damaged. No person or company can charge a fee for the distribution of Security Center without the permission from the copyright holder.

SECURITY CENTER IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE THIS SOFTWARE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. All rights not expressly granted here is reserved by the author of this software. Installing and using Security Center signifies acceptance of the terms and conditions of this license. If you do not agree with the terms of this license you must remove Security Center files from your storage devices and cease to use the product.


Real-time Monitor

The real-time monitor screen provides access to Security Center discovery engines and nodes entities. From this screen you can monitor the status of the scan engines, as well as the scanning details of your network entities.

Run new scan. Click this button to delete all previously discovered nodes and start new discovery scanning. You can modify the scan Settings using the Scan Options screen or by clicking the Monitor Scanners button.

Security Center scan options:

Full security scan. Select this option to enable the following Security Center scanners:

Activity Scanner. Select this option to have Security Center check your nodes activity and help you identify their current status.

Names Scanner. Select this option to have Security Center collect your node names and help you identify your network nodes.

Types Scanner. Select this option to have Security Center collect your nodes types and help you indentify your network nodes service types.

Vulnerability Scanner. Select this option to have Security Center collect your nodes vulnerable ports and help you identify their vulnerability level.

Wireless Scanner. Select this option to have Security Center check wireless access points and nodes in your network and help you manage their access to the network.

Users Scanner. Select this option to have Security Center collect your computers usernames and help you identify their login properties.

Snmp Scanner. Select this option to have Security Center using snmp protocol to collect your network nodes and help you identify their activity.

Silent security scan. Select this option to disable all the above scanners and have Security Center run in silent mode, so it can't be discovered by other network scanners.

More Information
Monitor Nodes
Monitor Protection
Monitor Status


Nodes Monitor

The nodes monitor screen enables you to view and manage the network nodes that are currently monitored by the system. Available options are:

List options. Select any of the options below to control the display of the currently monitored nodes. Available options are:

Filter by type. Use this option to filter part of the currently monitored nodes by specific category or type.

Search. Use this option to find a specific node from the list of the currently monitored nodes using its mac, ip or name properties.

Create nodes report. Use this option to create a report of the currently displayed nodes for export or printing.

Nodes options. Select specific node from the list in order to view or manage its details. Available options are:

Block node. Use this option to deactivate a specific node or snmp interface and prevent it from accessing the network.

Manage node. Use this option to enable/disable monitoring and alerts of specific node or snmp interface.

Set node information. Use this option to modify a description for specific node for easy identification.

Remove selected nodes. Use this option to remove specific nodes from the system database.

Learn more about this node. Use this option to view extra node details and all known threats and vulnerabilities that was discovered for the selected node.


Protection Monitor

The protection monitor screen enables you to view and manage the currently active network protections. Available options are:

List options. Select any of the options below to control the display of the currently monitored protections. Available options are:

Filter by type. Use this option to filter part of the currently monitored protections by one of the specific built-in categories.

Search. Use this option to find a specific protection from the list of the currently monitored protections using using its mac, ip or name properties.

Create protection report. Use this option to create a report of the currently monitored protections for export or printing.

Protection options. Select specific protection from the list in order to manage and view its details. Available options are:

Unblock protection. Use this option to activate specific protection and select specific authorization method.

Learn more about protection. Use this option to view extra details about the currently selected protection.


Status Monitor

The status monitor screen enables to view a report of the system scanners status and their last activity. Available scanners are:

Activity scan. The activity scan reports the discovery status of the network nodes activity state.

Names scan. The names scan reports the discovery status of the network nodes computer names.

Types scan. The types scan reports the discovery status of the device type of network nodes.

Vulnerability scan. The vulnerability scan reports the discovery status of the vulnerability level of the network nodes.

Wireless scan. The wireless scan reports the discovery status of the wireless network access points.

Workstations scan. The workstations scan reports the discovery status of the user names that collected from the network workstations.

Servers scan. The servers scan reports the discovery status of the users the user names that collected from the network servers.

Snmp scan. The snmp scan reports the discovery status of the snmp devices that collected from the network.


Real-time Views

The real-time views screen provides access to Security Center visual display of your current network. From this screen you can graphically analyze your current network entities security and performance. Available options are:

Network view. Select this option to view Security Center details regarding your current network entities connectivity and security.

Performance view. Select this option to view Switch Center details regarding your current network unicasts, multicasts and broadcasts.

More Information
Network View
Performance View


Network View

The network view screen enables to view the network nodes connectivity map including details about all nodes that are currently connected to your network. Available options are:

Network options. Select any of the options below to control the display of the currently selected network view. Available options are:

Update view. Use this option to update the currently selected network view and reload its current details.

Find/Trace. Use this option to locate specific network entity on the view using its mac, ip or name properties.

View options. Use this option to change the display of the currently selected network view using different titles and display filters. Use the Save options button to keep your selected options.

Networks and Nodes options. Select any of the networks or nodes and double click over it to view or explore the selected entity. Available options are:

Network view. Use this option to return back to the main network view connectivity map.

Connection view. Use this option to view the selected network entities and their connectivity details.


Performance View

The performance view screen enables to view the performance of the nodes that are currently connected to your network including their top unicasts, multicasts and broadcasts details. Available options are:

Performance options. Select any of the options below to control the display of the currently selected performance view. Available options are:

Update view. Use this option to update the currently selected performance view and reload its current details.

Set/Top 10. Use this option to locate specific network node performance or view the top 10 performance nodes of your network.

View options. Use this option to change the display of the currently selected performance view using different titles and display filters. Use the Save options button to keep your selected options.

Nodes options. Select all network nodes or specific network node to view its performance details. Available options are:

Unicasts. Use this option to view the top unicasts nodes and their details.

Multicasts. Use this option to view the top multicasts nodes and their details.

Broadcasts. Use this option to view the top broadcasts nodes and their details.


Real-time Protection

The real-time protection screen provides access to Security Center intrusion detection and prevention rules. From this screen you can set the protection rules that best suits your needs. Available options are:

Intrusion Detection. Select this option to activate Security Center intrusion detection and select the rules that best suits your needs.

Intrusion Prevention. Select this option to activate Security Center intrusion prevention and select the rules that best suits your needs.

More Information
Intrusion Detection
Intrusion Prevention


Intrusion Detection

The intrusion detection screen enables to set your preferred detection methods that best suit your needs. Available options are:

Detection Status. Use this option to activate or deactivate Security Center detection rules.

New Nodes Detection. Use this option to detect new nodes properties and alerts when they are trying to access the network.

Changed Nodes Detection. Use this option to detect changed nodes properties and alerts when they are trying to access the network.

Threatened Nodes Detection. Use this option to detect threatened nodes and alerts on excessive network transmit rate.

Vulnerable Ports Detection. Use this option to detect specific vulnerable computer ports and alert when they respond to connection requests.

Linkup WMI Detection. Use this option to detect nodes linkup and alert when their WMI properties not equal to specific condition.

Linkup Script Detection. Use this option to detect nodes linkup and alerts when a network script failed running on specific computer.


Intrusion Prevention

The intrusion prevention screen enables to set your preferred prevention methods that best suit your needs. Available options are:

Prevention Status. Use this option to activate or deactivate Security Center prevention rules.

Real-time Alerts Prevention. Use this option to set real-time prevention and activation alerts on network intruders that exceed specific protection.

Notification Message Prevention. Use this option to set prevention notification message on network intruders that exceed specific protection.

SNMP Interfaces Prevention. Use this option to set prevention and activation methods on SNMP interfaces that exceed specific protection.

Network script Prevention. Use this option to set prevention and activation scripts on network intruders that exceed specific protection.

Schedule Time Prevention. Use this option to set prevention inactivity schedule on network intruders that exceed specific protection.

Automatic Unblocking Prevention. Use this option to set automatic unblocking on network intruders that were prevented from accessing the network due to specific protection.


Real-time Alerts

The real-time alerts screen provides access to Security Center alerts messages. From this screen you can view your current and historical alerts and analyze potential network malfunction before it can cause severe damage to your network. Available options are:

Detection Alerts. Select this option to view Security Center alerts messages regarding detection of potential intruders that may damage your network.

Prevention Alerts. Use this option to view Security Center alerts messages regarding prevention of potential intruders that may damage your network.

More Information
Detection Alerts
Prevention Alerts


Detection Alerts

The detection alerts screen enables to track alerts regarding detection of potential intruders that may damage your network. Available options are:

List options. Select any of the options to control the currently displayed alerts. Available options are:

View archived alerts. Use this option to load specific archived alerts log file that was saved for analyze it historically.

Create alerts report. Use this option to create a report of currently displayed alerts for export or printing.

Archive current alerts. Use this option to save the currently displayed alerts in archived log file for analyze it historically.

Clear current alerts. Use this option to delete all currently displayed alerts.

Alert options. Select specific alert from the list in order to manage and view its details. Available options are:

Remove selected alerts. Use this option to delete the currently selected alerts.

Learn more about this alert. Use this option to have more information about the currently selected alert.


Prevention Alerts

The prevention alerts screen enables to track events regarding prevention messages about blocking and unblocking specific nodes due to specific protection rule. Available options are:

List options. Select any of the options to control the currently displayed alerts. Available options are:

View archived alerts. Use this option to load specific archived alerts log file that was saved for analyze it historically.

Create alerts report. Use this option to create a report of currently displayed alerts for export or printing.

Archive current alerts. Use this option to save the currently displayed alerts in archived log file for analyze it historically.

Clear current alerts. Use this option to delete all currently displayed alerts.

Alert options. Select specific alert from the list in order to manage and view its details. Available options are:

Remove selected alerts. Use this option to delete the currently selected alerts.

Learn more about this alert. Use this option to have more information about the currently selected alert.


Options

The Options menu enables you to personalize Security Center to your environment and needs. Available options are:

Settings. Select this option to change the default settings of Security Center by selecting a specific category from the left of the screen. Use the Save button at the bottom right side of the screen after changing any parameter in order to start using it.

Update Now. Select this option to reload the current Security Center details to your viewer. Use this option to force Security Center updating instead of waiting to the standard update interval.

Start/Stop Server. Select this option to turn on or off the operation of the server that is currently connected.

Connect Server. Select this option to connect to specific server from the menu. To add or remove servers from the list use the Local Settings option.

Service Status. Select this option from the upper display bar to view the current service status or to control its current operation by clicking the display button.

More Information
Local Settings
Access Settings
Networks Settings
Threats Settings
Vulnerabilities Settings
Alerts Settings


Local Settings

The local settings screen enables to control the local viewer properties that best suites your needs.

Viewer options. Select any of the options below to control the preferred viewing properties. Available options are:

Start on reboot. Use this option to start the viewer automatically each time you reboot your computer.

Popup options. Use this option to enable popup messages on new discovered alerts.

Servers options. Select any of the options below to enable viewing of remote Security Center servers. Available options are:

Add server. Use this option to add a new server by selecting the installation folder of the remote server.

Copy settings. Use this option to copy settings of specific Security Center server to another Security Center server.

Connect server. Use this option to create connection to exist server from the current available servers list by right click on a specific server.

Delete server. Use this option to delete exist server from the current available servers list by right click on a specific server.

Rename server. Use this option to change the name of a specific server from the current servers list by right click on a specific server.

Default server. Use this option to set the default connection of the viewer to specific server from the current servers list by right click on a specific server.


Access Settings

The access settings screen enables to control the accessibility properties of the software.

Export options. Select any of the options below to control the exporting methods of the currently selected Security Center server. Available options are:

HTML export. Use this option to automatically export the currently selected server database to HTML files using your selected directory and data fields.

SQL export. Use this option to automatically export the currently selected server database to SQL/Access database using your selected data fields.

Users options. Select any of the options below to control the user's accessibility to the currently selected Security Center server. Available options are:

Add user. Use this option to add a new user to the currently selected server by selecting its username, computer and permissions.

Delete user. Use this option to delete exist user from the current users list by right click on a specific user.

User permissions. Use this option to view or modify the permissions of specific user from the current users list by right click on a specific user.


Networks Settings

The networks settings screen enables to control the networks nodes and adapters that will be scanned by the software.

Nodes options. Select any of the options below to control the nodes that will be monitored by Security Center server. Available options are:

Auto-remove nodes. Use this option to automatically remove nodes that was inactive for specific number of days from the software database.

Exclude nodes. Use this option to set software database exclude filter for specific nodes mac or ip addresses.

Adapters options. Select any of the options below to control the adapters that will be monitored by Security Center server. Available options are:

Check all. Use this option to enable monitoring on all network adapters.

Uncheck all. Use this option to disable monitoring on all network adapters.


Threats Settings

The threats settings screen enables to control the threat level threshold of the currently monitored network nodes. For each threat level in the list you can adjust the appropriate transmission threshold rate. Available options are:

Broadcasts. Use the edit box to adjust the threat level of packets that was transmitted to all of the nodes.

Multicasts. Use the edit box to adjust the threat level of packets that was transmitted to specific groups of nodes.

Unicasts. Use the edit box to adjust the threat level of packets that was transmitted to specific nodes.

Set default thresholds. Use this button to set the selected threat level to its default values.


Vulnerabilities Settings

The vulnerabilities settings screen enables to control the vulnerability level of the currently monitored network nodes. For each vulnerability level in the list you can select the appropriate computer ports and names. Available options are:

Add port. Use the button to add computer port to specific vulnerability level in the list.

Delete port. Use the button to delete computer port from specific vulnerability level in the list.

Set default ports. Use this button to set the selected vulnerability level to its default values.


Alerts Settings

The alerts settings screen enables to control the alerts collection of the software.

Removing options. Select any of the options below to control the automatic alerts removing of the currently selected Security Center server. Available options are:

Remove alerts. Use this option to set automatic removal of alerts older than specific number of days from the currently selected server.

Archive alerts. Use this option to set automatic archive of alerts from the currently selected server.

Forwarding options. Select any of the options below to control the alerts that will be sent by the currently selected Security Center server. Available options are:

E-mail forwarding. Use this option to set the email properties that will be used by the currently selected server to forward alerts using email.

SNMP forwarding. Use this option to set the SNMP properties that will be used by the currently selected server to forward alerts using SNMP traps.

SYSLOG forwarding. Use this option to set the SYSLOG properties that will be used by the currently selected server to forward alerts using SYSLOG messages.